Subject: Re: FvwmPager & focus handling

From: Dan Espen <[email-masked]>
Date: Mon, 11 Jan 1999 15:51:11 -0500

Matthias Clasen <[email-masked]> writes:
> > 
> > On Sat, Jan 09, 1999 at 10:04:40PM +0100, Matthias Clasen wrote:
> > > Is it a known problem that the focus handling of the pager isn't
> > > quite icccm compliant ? Clicking with the middle button on  xclock 
> > > in the pager takes the focus away from my xterm although xclock
> > > uses the "No Input" model.  
> > 
> > I don't see anything like this in the TODO/BUGS files. This
> > might be a limitation of the module interface. I don't think
> > the pager can tell fvwm to focus the window only if it accepts
> > input.
> 
> The little patch below seems to do it (but it has been only minimally
> tested).

I haven't examined this myself, but it bears mentioning that
the "Lenience" setting is used to bypass the ICCCM focus setting
rules and could have some influence on how this works.

> Matthias

--
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Matthias Clasen <[email-masked]>
Date: Tue, 12 Jan 1999 09:20:42 +0100

> rules and could have some influence on how this works.
 
Yes, but especially for reasons like "Lenience" it is the right thing
to let the pager instruct fvwm to change focus and have fvwm deal with
the details. In this way, pager and wm will use the same policy for
focus handling. I'd even say that the pager should handle all manipulations
which are normally the duty of the wm in this way.

Matthias

-- 
Matthias Clasen, 
Tel. 0761/203-5606
Email: [email-masked]
Mathematisches Institut, Albert-Ludwigs-Universitaet Freiburg
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].